#ifndef __IMAGE_H
#define __IMAGE_H

#ifdef __cplusplus
extern "C" {
#endif

#include <wiisprite.h>

#include "widget.h"

class LoadableImage : public Widget
{
	public:
		LoadableImage();
		virtual ~LoadableImage();
		
		bool setImage(const char *url);
		void setTransparency(int t);
		
		void setDivisions(int x);
		void selectDivision(int x);
		
		virtual void resize(int width, int height);
		
		virtual void draw();
	private:
		Sprite *imageSprite;
		Image *imageImage;
		
		Theme windowManager;
		Settings settingsManager;
		char *curImage;
		
		int _div;
		int _cur;
};

#ifdef __cplusplus
}
#endif

#endif
